Skip to navigation

ReorderScenarios

View as Markdown

Configures the order of scenarios that are assigned to the specified rule.

Allowed roles: Owner, Admin, Developer.

Example request: Set the scenario loading order: 17, 15, 20.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

rule_idintegerOptional

The rule ID. Required unless rule_name is provided.

rule_namestringOptional

The rule name. Required unless rule_id is provided.

scenario_idlist of integersOptional

The scenario ID list separated by semicolons (;)

Response

Successful response
resultintegerOptional
Returns 1 if the request has been completed successfully